## org.jrobin.core
Class RrdException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jrobin.core.RrdException

All Implemented Interfaces:
  java.io.Serializable

public class RrdException
extends java.lang.Exception

Class to represent various JRobin checked exceptions. JRobin code can throw only `RrdException` (for various JRobin related errors) or `IOException` (for various I/O errors).

See Also:
  Serialized Form

Constructor Summary
`RrdException(java.lang.Exception e)` Creates new RrdException object from any java.lang.Exception object
`RrdException(java.lang.String message)` Creates new RrdException with the supplied message in it.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RrdException

    public RrdException(java.lang.String message)

  Creates new RrdException with the supplied message in it.

Parameters:
  `message` - Error message.

### RrdException

    public RrdException(java.lang.Exception e)

  Creates new RrdException object from any java.lang.Exception object

Parameters:
  `e` - Exception object